/*----------------------------------------------------------------------*/
/* FAT file system sample project for FatFs            (C)ChaN, 2013    */
/*----------------------------------------------------------------------*/


#include <avr/io.h>
#include <avr/pgmspace.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include <string.h>
#include "ff.h"
#include "diskio.h"





/*---------------------------------------------------------*/
/* User Provided Timer Function for FatFs module           */
/*---------------------------------------------------------*/
/* This is a real time clock service to be called from     */
/* FatFs module. Any valid time must be returned even if   */
/* the system does not support a real time clock.          */
/* This is not required in read-only configuration.        */


DWORD get_fattime (void)
{







	/* Pack date and time into a DWORD variable */
	return	  ((DWORD)(2013 - 1980) << 25)
			| ((DWORD)7 << 21)
			| ((DWORD)4 << 16)
			| ((DWORD)15 << 11)
			| ((DWORD)45 << 5)
			| ((DWORD)10 >> 1);
}




